Bug 436676 - Cannot connect to wireless network after kernel upgrade
Summary: Cannot connect to wireless network after kernel upgrade
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 8
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-09 05:24 UTC by Matthias Hölzl
Modified: 2008-03-14 14:02 UTC (History)
1 user (show)

Fixed In Version: 2.6.24.3-34.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-14 14:02:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Extract from /var/log/messages (27.66 KB, text/plain)
2008-03-09 05:24 UTC, Matthias Hölzl
no flags Details

Description Matthias Hölzl 2008-03-09 05:24:20 UTC
Description of problem:

After upgrading to kernel 2.6.24.3-22.fc8 connections to the wireless network fail.

Version-Release number of selected component (if applicable):

Kernel: 2.6.24.3-22.fc8
NetworkManager: 0.7.0-0.6.7.svn3370.fc8
wpa_supplicant: 0.5.10-4.fc8

WLan: Linksys WUSB54GC 802.11g Adapter [ralink rt73]

How reproducible:

Always.

Steps to Reproduce:
1. Select "Connect to other wireless network" in NetworkManager
2. Enter network information and password

(Or just log into a Gnome session if the network configuration already exists.)
  
Actual results:

NetworkManager repeatedly asks for the network password but establishes no
connection.

Expected results:

NetworkManager connects to the network.

Additional info:

Comment 1 Matthias Hölzl 2008-03-09 05:24:20 UTC
Created attachment 297347 [details]
Extract from /var/log/messages

Comment 2 John W. Linville 2008-03-13 15:17:35 UTC
The kernels here contain an update to rt2x00 version 2.1.4:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=42735

Could you give those kernels a try to see if they resolve this issue for you?

Comment 3 Matthias Hölzl 2008-03-13 22:17:29 UTC
I'm running kernel 2.6.24.3-34 now and the wireless network works flawlessly. 
Great job, thank you!


Note You need to log in before you can comment on or make changes to this bug.